org.apache.hadoop.security.authorize

## Class ProxyServers

- java.lang.Object
- - org.apache.hadoop.security.authorize.ProxyServers

-     public class ProxyServers
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONF_HADOOP_PROXYSERVERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyServers()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isProxyServer(String remoteAddr)`
    `static void` | `refresh()`
    `static void` | `refresh(Configuration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONF_HADOOP_PROXYSERVERS

          public static final String CONF_HADOOP_PROXYSERVERS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProxyServers

          public ProxyServers()

  - ### Method Detail

    - #### refresh

          public static void refresh()

    - #### refresh

          public static void refresh(Configuration conf)

    - #### isProxyServer

          public static boolean isProxyServer(String remoteAddr)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.